Bullet Collision Detection & Physics Library: btSparseSdf< CELLSIZE > Struct Template Reference

Bullet Collision Detection & Physics Library

Classes | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
btSparseSdf< CELLSIZE > Struct Template Reference

`#include <btSparseSDF.h>`

Collaboration diagram for btSparseSdf< CELLSIZE >:
[legend]

## Classes
struct | Cell
struct | IntFrac

## Public Member Functions
void | Initialize (int hashsize=2383, int clampCells=256 *1024)
void | Reset ()
void | GarbageCollect (int lifetime=256)
int | RemoveReferences (btCollisionShape *pcs)
btScalar | Evaluate (const btVector3 &x, const btCollisionShape *shape, btVector3 &normal, btScalar margin)
void | BuildCell (Cell &c)

## Static Public Member Functions
static btScalar | DistanceToShape (const btVector3 &x, const btCollisionShape *shape)
static IntFrac | Decompose (btScalar x)
static btScalar | Lerp (btScalar a, btScalar b, btScalar t)
static unsigned int | Hash (int x, int y, int z, const btCollisionShape *shape)

## Public Attributes
btAlignedObjectArray< Cell * > | cells
btScalar | voxelsz
int | puid
int | ncells
int | m_clampCells
int | nprobes
int | nqueries

## Detailed Description

### template<const int CELLSIZE>
struct btSparseSdf< CELLSIZE >

Definition at line 44 of file btSparseSDF.h.

## Member Function Documentation

## § BuildCell()

template<const int CELLSIZE>

void btSparseSdf< CELLSIZE >::BuildCell | ( | Cell & | c | ) |
| inline

Definition at line 241 of file btSparseSDF.h.

## § Decompose()

template<const int CELLSIZE>

static IntFrac btSparseSdf< CELLSIZE >::Decompose | ( | btScalar | x | ) |
| inlinestatic

Definition at line 277 of file btSparseSDF.h.

## § DistanceToShape()

template<const int CELLSIZE>

static btScalar btSparseSdf< CELLSIZE >::DistanceToShape | ( | const btVector3 & | x,
|  | const btCollisionShape * | shape
| ) |  |
| inlinestatic

Definition at line 263 of file btSparseSDF.h.

## § Evaluate()

template<const int CELLSIZE>

btScalar btSparseSdf< CELLSIZE >::Evaluate | ( | const btVector3 & | x,
|  | const btCollisionShape * | shape,
|  | btVector3 & | normal,
|  | btScalar | margin
| ) |  |
| inline

Definition at line 158 of file btSparseSDF.h.

## § GarbageCollect()

template<const int CELLSIZE>

void btSparseSdf< CELLSIZE >::GarbageCollect | ( | int | lifetime = `256` | ) |
| inline

Definition at line 110 of file btSparseSDF.h.

## § Hash()

template<const int CELLSIZE>

static unsigned int btSparseSdf< CELLSIZE >::Hash | ( | int | x,
|  | int | y,
|  | int | z,
|  | const btCollisionShape * | shape
| ) |  |
| inlinestatic

Definition at line 298 of file btSparseSDF.h.

## § Initialize()

template<const int CELLSIZE>

void btSparseSdf< CELLSIZE >::Initialize | ( | int | hashsize = `2383`,
|  | int | clampCells = `256*1024`
| ) |  |
| inline

Definition at line 81 of file btSparseSDF.h.

## § Lerp()

template<const int CELLSIZE>

static btScalar btSparseSdf< CELLSIZE >::Lerp | ( | btScalar | a,
|  | btScalar | b,
|  | btScalar | t
| ) |  |
| inlinestatic

Definition at line 290 of file btSparseSDF.h.

## § RemoveReferences()

template<const int CELLSIZE>

int btSparseSdf< CELLSIZE >::RemoveReferences | ( | btCollisionShape * | pcs | ) |
| inline

Definition at line 136 of file btSparseSDF.h.

## § Reset()

template<const int CELLSIZE>

void btSparseSdf< CELLSIZE >::Reset | ( |  | ) |
| inline

Definition at line 90 of file btSparseSDF.h.

## Member Data Documentation

## § cells

template<const int CELLSIZE>

btAlignedObjectArray<Cell*> btSparseSdf< CELLSIZE >::cells

Definition at line 68 of file btSparseSDF.h.

## § m_clampCells

template<const int CELLSIZE>

int btSparseSdf< CELLSIZE >::m_clampCells

Definition at line 72 of file btSparseSDF.h.

## § ncells

template<const int CELLSIZE>

int btSparseSdf< CELLSIZE >::ncells

Definition at line 71 of file btSparseSDF.h.

## § nprobes

template<const int CELLSIZE>

int btSparseSdf< CELLSIZE >::nprobes

Definition at line 73 of file btSparseSDF.h.

## § nqueries

template<const int CELLSIZE>

int btSparseSdf< CELLSIZE >::nqueries

Definition at line 74 of file btSparseSDF.h.

## § puid

template<const int CELLSIZE>

int btSparseSdf< CELLSIZE >::puid

Definition at line 70 of file btSparseSDF.h.

## § voxelsz

template<const int CELLSIZE>

btScalar btSparseSdf< CELLSIZE >::voxelsz

Definition at line 69 of file btSparseSDF.h.

The documentation for this struct was generated from the following file:

- btSparseSDF.h